3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php echo error_reporting(); trigger_error( 'Please use XPath::evaluate() not XPath::query().', E_USER_DEPRECATED );
Output for 7.0.0 - 7.1.0
-1 Deprecated: Please use XPath::evaluate() not XPath::query(). in /in/7IY5s on line 4
Output for hhvm-3.10.0 - 3.13.2
8191
Output for 5.3.0 - 5.6.28
-1 Deprecated: Please use XPath::evaluate() not XPath::query(). in /in/7IY5s on line 5
Output for 4.3.0 - 5.2.17
-1 Notice: Use of undefined constant E_USER_DEPRECATED - assumed 'E_USER_DEPRECATED' in /in/7IY5s on line 5 Warning: Invalid error type specified in /in/7IY5s on line 5